Register FAQ / Rules Forum Spy Search Today's Posts Mark Forums Read
Go Back   MacRumors Forums > Apple Hardware > PowerPC Macs

Reply
 
Thread Tools Search this Thread Display Modes
Old Nov 24, 2012, 07:45 AM   #1
Wildy
macrumors 6502
 
Join Date: Jan 2011
Latest Adobe Flash 11.5 PPC [Testers please]

[EDIT2] Should now be working fine - make sure you remove the old version from the plugin directory - gave me a headache trying to figure why it was still reporting an old version!



I've managed to update our beloved 10.1 plugin to spoof a version of 11.5.502 (current Adobe build). I don't use Flash much, so I'm not sure what functionality they've introduced since 10.1 and thus some sites which actually require these newer features may not work. I have yet to come across one though.

Installation is simple, just replace the existing plugin with the one in the archive. Installation instructions and info are in the download.

Download: http://scriptogr.am/nordkril/post/ad....5-for-powerpc

Last edited by Wildy; Nov 24, 2012 at 08:22 AM.
Wildy is offline   1 Reply With Quote
Old Nov 24, 2012, 12:07 PM   #2
JadeGreenGirl
Banned
 
Join Date: Nov 2012
This would still have all the security vulnerabilities of 10.1 which are many and you want to spread this? Why would any informed person ever want to use this? Do you always share your colds and sickness with people also? That wouldn't be as bad as spreading this.
JadeGreenGirl is offline   1 Reply With Quote
Old Nov 24, 2012, 12:32 PM   #3
thorns
macrumors member
 
Join Date: Sep 2011
The only difference to the current version is the identifier string, correct?
__________________
Powermac G5 Late 2005, DC 2,0, 10GB DDR2, X1900, 2,5TB, 10.5.8
thorns is offline   0 Reply With Quote
Old Nov 24, 2012, 12:34 PM   #4
Wildy
Thread Starter
macrumors 6502
 
Join Date: Jan 2011
Yes, it's plain old 10.1 under the hood, but the identifier string has been changed to report back that it is 11.5 in order to work with websites which restrict their content to only those running the latest version of Flash.
Wildy is offline   0 Reply With Quote
Old Nov 24, 2012, 12:45 PM   #5
MisterKeeks
macrumors 68000
 
MisterKeeks's Avatar
 
Join Date: Nov 2012
Quote:
Originally Posted by JadeGreenGirl View Post
This would still have all the security vulnerabilities of 10.1 which are many and you want to spread this? Why would any informed person ever want to use this? Do you always share your colds and sickness with people also? That wouldn't be as bad as spreading this.
And if people didn't use this, they would use 10.1- the security vulnerabilities are the same, the functionality is greater.
MisterKeeks is offline   3 Reply With Quote
Old Nov 24, 2012, 12:48 PM   #6
Wildy
Thread Starter
macrumors 6502
 
Join Date: Jan 2011
Ignore the troll - they'll get bored eventually xD
Wildy is offline   1 Reply With Quote
Old Nov 24, 2012, 03:29 PM   #7
MisterKeeks
macrumors 68000
 
MisterKeeks's Avatar
 
Join Date: Nov 2012
Quote:
Originally Posted by Wildy View Post
Ignore the troll - they'll get bored eventually xD
Or, in this case, banned!
MisterKeeks is offline   1 Reply With Quote
Old Nov 24, 2012, 06:04 PM   #8
jbarley
macrumors 6502a
 
Join Date: Jul 2006
Location: Vancouver Island
appears to be working good for me, I was hoping someone would update this hack as I was starting to get those unwanted "Update your Flash version" messages again.
__________________
If a man speaks out while in the forest, and there is no woman there to hear him, is he still wrong?
jbarley is offline   0 Reply With Quote
Old Nov 24, 2012, 06:13 PM   #9
macaroniguy
macrumors newbie
 
Join Date: Jul 2012
It works as described.

Both Firefox and Aurora report the latest version of Shockwave Flash is installed, both when running Tiger and Leopard on a G5.

Many sites that deny access until you install the current version of Flash become usable, BUT sites that have installed the latest Flash to run on their servers, do NOT work, especially if they are using brand new features.

So this is a great help, but it still stinks that both Apple and Adobe no longer support PPC, and I imagine a real hack to convert/run the Intel version is impossible.

Thanks for what you did make available!
macaroniguy is offline   0 Reply With Quote
Old Nov 24, 2012, 06:16 PM   #10
ChrisMan287
macrumors 6502
 
Join Date: Nov 2012
Location: NY.
I would give this a try but Flash installer keeps failing on me
__________________
15" PowerBook G4, 1.67GHz, 2GB RAM, 250GB HD ; 16GB iPad2.
ChrisMan287 is offline   0 Reply With Quote
Old Nov 24, 2012, 06:45 PM   #11
Wildy
Thread Starter
macrumors 6502
 
Join Date: Jan 2011
Thanks for testing guys!

@ChrisMan287 - Are you having problems getting the official Flash player on there in the first place? I was under the impression that the plugin was self-contained - so it might still work if you took the plugin in the archive and dropped it in the relevant folder.
Wildy is offline   0 Reply With Quote
Old Nov 24, 2012, 07:44 PM   #12
ChrisMan287
macrumors 6502
 
Join Date: Nov 2012
Location: NY.
Quote:
Originally Posted by Wildy View Post
Are you having problems getting the official Flash player on there in the first place? I was under the impression that the plugin was self-contained - so it might still work if you took the plugin in the archive and dropped it in the relevant folder.
Yup, official one is giving me trouble. TenFourFox doesn't support it anyway (I don't think) but I was going to install another browser to test for you. Weird issue..
__________________
15" PowerBook G4, 1.67GHz, 2GB RAM, 250GB HD ; 16GB iPad2.
ChrisMan287 is offline   0 Reply With Quote
Old Nov 24, 2012, 08:15 PM   #13
boneskid1
macrumors member
 
Join Date: Sep 2012
Tiff actually does support flash Google flash in ten four fox on Ppc and you have to go into plugin preferences and make it true
boneskid1 is offline   0 Reply With Quote
Old Nov 24, 2012, 08:27 PM   #14
rjcalifornia
macrumors 6502a
 
rjcalifornia's Avatar
 
Join Date: Oct 2012
Location: El Salvador
I can't download it

facebook is not using it yet, neither youtube, vimeo, hulu.
__________________
CEO, Lead Developer and Sales Manager of SW Social Web LLC PowerPC Blog iBook G4 1.2 Ghz 60 GB HDD, Black Macbook Core 2 Duo, Powerbook G4 & iMac G4 700 Mhz Owner.
rjcalifornia is offline   0 Reply With Quote
Old Jan 5, 2013, 07:54 AM   #15
skinniezinho
macrumors 6502a
 
Join Date: Jan 2009
Location: Portugal
Send a message via MSN to skinniezinho
tried it on this site:
http://www.surfreport.pt/cam03.php

says I have to download 11.5,but flashplayer version site tells me I have 11.5
__________________
Powermac G4 400MHz/2Gb/ATI Rage+3DFx Voodoo 2 SLI/2x80Gb
Powermac G5 Quad/2Gb/Nvidia 7800GT/500Gb
Thinkpad X230/256Gb SSD/16Gb Ram+Dell U2312Hm
F.A.Q for PowerPC Macs Powerpc Upgrades
skinniezinho is offline   0 Reply With Quote
Old Jan 5, 2013, 01:57 PM   #16
Wildy
Thread Starter
macrumors 6502
 
Join Date: Jan 2011
Hmm that is indeed very strange. I just gave it a try and that site is working fine for me. What browser / OS are you using?
Wildy is offline   0 Reply With Quote
Old Jan 5, 2013, 02:19 PM   #17
cyberghoser1
macrumors member
 
Join Date: Nov 2009
Location: Athens, Hellas
thanks, working great here, as does the website that skinniezinho said as well, very good work
__________________
Hi-Res 15" Powerbook, 1.67MHz, 2GB RAM DDR2, ATI Mobility Radeon9700 128MB, 60GB 7200rmp HD, Leopard 10.5.8
cyberghoser1 is offline   0 Reply With Quote
Old Jan 5, 2013, 02:23 PM   #18
Wildy
Thread Starter
macrumors 6502
 
Join Date: Jan 2011
No problem - glad you found it useful.
Wildy is offline   0 Reply With Quote
Old Jan 5, 2013, 02:25 PM   #19
skinniezinho
macrumors 6502a
 
Join Date: Jan 2009
Location: Portugal
Send a message via MSN to skinniezinho
Quote:
Originally Posted by cyberghoser1 View Post
thanks, working great here, as does the website that skinniezinho said as well, very good work
10.4.11, tried demeter and tenfourkit
__________________
Powermac G4 400MHz/2Gb/ATI Rage+3DFx Voodoo 2 SLI/2x80Gb
Powermac G5 Quad/2Gb/Nvidia 7800GT/500Gb
Thinkpad X230/256Gb SSD/16Gb Ram+Dell U2312Hm
F.A.Q for PowerPC Macs Powerpc Upgrades
skinniezinho is offline   0 Reply With Quote
Old Jan 5, 2013, 03:51 PM   #20
Wildy
Thread Starter
macrumors 6502
 
Join Date: Jan 2011
The plugin was pulled from a 10.5 machine - though I'm pretty sure it should be working fine on 10.4 too. Did you install it to the root Internet Plug-Ins folder in the one in your home directory? It's possible if you installed it in your home directory that it is conflicting with the one in root.
Wildy is offline   0 Reply With Quote
Old Jan 5, 2013, 09:48 PM   #21
PowerPCMacMan
Banned
 
Join Date: Jul 2012
Location: PowerPC land
Same here.. sorta

Yeah, tried out that same site also.. though it doesn't bring up a warning box saying that I need flash 11.5 in order to continue. The flash content simply won't open and play.. just sits there and the streaming circle just spins round and around.

I am using Leopard WebKit - latest version.. Can some one recommend another browser so that I may view the flash content on that site?


Quote:
Originally Posted by skinniezinho View Post
tried it on this site:
http://www.surfreport.pt/cam03.php

says I have to download 11.5,but flashplayer version site tells me I have 11.5
PowerPCMacMan is offline   0 Reply With Quote
Old Jan 5, 2013, 11:54 PM   #22
cyberghoser1
macrumors member
 
Join Date: Nov 2009
Location: Athens, Hellas
Quote:
Originally Posted by PowerPCMacMan View Post
Yeah, tried out that same site also.. though it doesn't bring up a warning box saying that I need flash 11.5 in order to continue. The flash content simply won't open and play.. just sits there and the streaming circle just spins round and around.

I am using Leopard WebKit - latest version.. Can some one recommend another browser so that I may view the flash content on that site?
I tried it with Safari, no problem, works amazingly good.
__________________
Hi-Res 15" Powerbook, 1.67MHz, 2GB RAM DDR2, ATI Mobility Radeon9700 128MB, 60GB 7200rmp HD, Leopard 10.5.8
cyberghoser1 is offline   0 Reply With Quote
Old Jan 6, 2013, 01:21 AM   #23
PowerPCMacMan
Banned
 
Join Date: Jul 2012
Location: PowerPC land
Yeah, just tried it on my Quad.. No problems there.. The videos DO start up in High Definition 780/1080p, so it brings my PowerBook G4 1.67 DLSD to its knees and there is no lower setting(360p, 480p).


QUOTE=cyberghoser1;16613653]I tried it with Safari, no problem, works amazingly good.[/QUOTE]
PowerPCMacMan is offline   0 Reply With Quote

Reply
MacRumors Forums > Apple Hardware > PowerPC Macs

Thread Tools Search this Thread
Search this Thread:

Advanced Search
Display Modes

Similar Threads
thread Thread Starter Forum Replies Last Post
Latest Adobe Flash Update Install thatoneguy82 OS X Mavericks (10.9) 3 Dec 19, 2013 01:44 AM
Download Latest PPC Version Of Safari skateny PowerPC Macs 10 Oct 2, 2012 01:21 AM
Will Flash ever be updated for PPC? Lancer PowerPC Macs 24 Jul 31, 2012 06:53 PM
Question about Flash on PPC davidg4781 PowerPC Macs 4 Jun 1, 2012 12:13 PM

Forum Jump

All times are GMT -5. The time now is 01:59 AM.

Mac Rumors | Mac | iPhone | iPhone Game Reviews | iPhone Apps

Mobile Version | Fixed | Fluid | Fluid HD
Copyright 2002-2013, MacRumors.com, LLC